package de.lmu.ifi.medien.mmi2.labyrinth;

public class Line {
	
	// line from point (x1,y1) to point (x2,y2)
	public int x1;
	public int y1;
	public int x2;
	public int y2;
	
	// length of the line
	public int length;
	
	// the line can either be horizontal or vertical
	public int orientation; // 0 = E, 1 = N, 2 = W, 3 = S
	
	public static final int EAST = 0; // to the right
	public static final int NORTH = 1; // up
	public static final int WEST = 2; // to the left
	public static final int SOUTH = 3; // down
	
	public Line() {
		x1 = x2 = y1 = y2 = length = orientation = 0; // not strictly necessary, Java automatically sets variables to 0 / null
	}

	public Line(int ax1, int ay1, int ax2, int ay2, int l, int o) {
		x1 = ax1;
		y1 = ay1;
		x2 = ax2;
		y2 = ay2;
		length = l;
		orientation = o;
	}
	
	public String toString() {
		return "[(" + x1 + "," + y1 + "), (" + x2 + "," + y2 + ")]";
	}
	
}
